% File src/library/base/man/pcre_config.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2015 R Core Team
% Distributed under GPL 2 or later

\name{pcre_config}
\alias{pcre_config}
\title{
  Report Configuration Options for PCRE
}
\description{
  この \R セッションで使用中の PCRE のバージョンに対する幾つかの
  コンフィギュレーションオプションを報告する．
}
\usage{
pcre_config()
}
\value{
  名前付き論理値ベクトルで，現在次に要素を持つ
  \item{UTF-8}{UTF-8 入力のサポート．必要．}
  \item{Unicode properties}{正規表現中の \samp{\p{xx}} と
    \samp{\P{xx}} に対するサポート．
    望ましく幾つかの CRAN パッケージが使う．}
  \item{JIT}{just-in-time のコンパイルに対するサポート．
    速度の点で望ましい
    (しかし PCRE 8.20 以来ある種のアーキテクチャでは
    コンパイル時オプションとしてのみ利用できる．)}
}
\seealso{
  PCRE のバージョンについては \code{\link{extSoftVersion}}．
}
\examples{
pcre_config()
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/pcre_config.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{pcre_config}
%\alias{pcre_config}
%\title{
%  Report Configuration Options for PCRE
%}
%\description{
%  Report some of the configuration options of the version of PCRE in use
%  in this \R session.
%}
%\usage{
%pcre_config()
%}
%\value{
%  A named logical vector, currently with elements
%  \item{UTF-8}{Support for UTF-8 inputs.  Required.}
%  \item{Unicode properties}{Support for \samp{\p{xx}} and \samp{\P{xx}}
%    in regular expressions.  Desirable and used by some CRAN packages.}
%  \item{JIT}{Support for just-in-time compilation.  Desirable for speed
%    (but only available as compile-time option on certain architectures
%    as from PCRE 8.20).}
%}
%\seealso{
%  \code{\link{extSoftVersion}} for the PCRE version.
%}
%\examples{
%pcre_config()
%}

\encoding{UTF8}
