% File src/library/base/man/serialize.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2010 R Core Team
% Distributed under GPL 2 or later

\name{readRenviron}
\alias{readRenviron}
\title{
  Set Environment Variables from a File
}
\description{
  \link{Startup} に対するヘルプの中で説明されたような書式の
  \file{.Renviron} や \file{Renviron.site} のようなファイルを読み込み，
  ファイル中で定義された環境変数を設定する．
}
\usage{
readRenviron(path)
}
\arguments{
  \item{path}{ファイルへのパスを与える長さ 1 の文字列ベクトル．
    サポートされていればチルド展開が行われる．}
}
\value{
  ファイルが無事に読み込まれたかどうかを指示するスカラー論理値．
  不可視で返される．
  もしファイルが読み込みように開くことが出来なければ警告が与えられる．
}
\seealso{
  ファイル書式については \code{\link{Startup}}．
}
\examples{\dontrun{
## 開始ファイルを再読込する(またはそれを vanilla セッションで読む)
readRenviron("~/.Renviron")
}}
\keyword{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/serialize.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{readRenviron}
%\alias{readRenviron}
%\title{
%  Set Environment Variables from a File
%}
%\description{
%  Read as file such as \file{.Renviron} or \file{Renviron.site} in the
%  format described in the help for \link{Startup}, and set environment
%  variables as defined in the file.
%}
%\usage{
%readRenviron(path)
%}
%\arguments{
%  \item{path}{A length-one character vector giving the path to the
%    file.  Tilde-expansion is performed where supported.}
%}
%\value{
%  Scalar logical indicating if the file was read successfully.  Returned
%  invisibly.  If the file cannot be opened for reading, a warning is given.
%}
%\seealso{
%  \code{\link{Startup}} for the file format.
%}
%\examples{\dontrun{
%## re-read a startup file (or read it in a vanilla session)
%readRenviron("~/.Renviron")
%}}
%\keyword{file}
%
\encoding{UTF8}
