% File src/library/utils/man/withVisible.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{withVisible}
\alias{withVisible}
\title{Return both a value and its visibility}
\description{
  この関数は表現式を評価し，それを二つの要素，その値とそれを自動的にプリント
  するかどうかを指示するフラグ，を持つリストとして返す．
}
\usage{
withVisible(x)
}
\arguments{
  \item{x}{ 評価されるべき表現式．}
}
\details{
  引数は呼び出し側の文脈で評価される．

  これはプリミティブな関数である．
}
\value{
  \item{value }{評価後の \code{x} の値．}
  \item{visible }{論理値；値を自動プリントするかどうか．}
}
\seealso{\code{\link{invisible}}, \code{\link{eval}}}
\examples{
x <- 1
withVisible(x <- 1)
x
withVisible(x)

# 特別な処理のために呼び出しを evalq() 中にラップする

df <- data.frame(a = 1:5, b = 1:5)
evalq(withVisible(a + b), envir = df)
}
\keyword{programming}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/utils/man/withVisible.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{withVisible}
%\alias{withVisible}
%\title{Return both a value and its visibility}
%\description{
%This function evaluates an expression, returning it in a two element list
%containing its value and a flag showing whether it would automatically print.
%}
%\usage{
%withVisible(x)
%}
%\arguments{
%  \item{x}{ An expression to be evaluated. }
%}
%\details{
%  The argument is evaluated in the caller's context.
%
%  This is a \link{primitive} function.
%}
%\value{
%  \item{value }{The value of \code{x} after evaluation.}
%  \item{visible }{logical; whether the value would auto-print.}
%}
%\seealso{\code{\link{invisible}}, \code{\link{eval}}}
%\examples{
%x <- 1
%withVisible(x <- 1)
%x
%withVisible(x)
%
%# Wrap the call in evalq() for special handling
%
%df <- data.frame(a = 1:5, b = 1:5)
%evalq(withVisible(a + b), envir = df)
%}
%\keyword{programming}
%\encoding{UTF8}

\encoding{UTF8}

