% File src/library/stats/man/NLSstAsymptotic.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{NLSstAsymptotic}

\alias{NLSstAsymptotic}%@%\alias{漸近回帰モデル}
\alias{NLSstAsymptotic.sortedXyData}
\title{Fit the Asymptotic Regression Model}
\usage{
NLSstAsymptotic(xy)
}
\arguments{
 \item{xy}{\code{sortedXyData} オブジェクト．}
}
\description{
  \code{xy} データに
  \code{b0 +  b1*(1-exp(-exp(lrc) * x))} の形の 
  漸近的回帰モデルを当てはめる．
  これはより複雑なモデルに対する初期推定値を決定する
  基礎構成要素として使うことあができる．
}
\value{
  長さ 3 の数値ベクトルで要素はラベル
  \code{b0}, \code{b1} そして \code{lrc} を持つ．
  \code{b0} は推定された \code{y} 軸切片，
  \code{b1} は漸近線と \code{y} 軸切片の差の推定値，
  そして
  \code{lrc} はレート定数の対数値の推定値である．
}
\author{\enc{José}{Jose} Pinheiro と Douglas Bates}
\seealso{\code{\link{SSasymp}}}
\examples{
Lob.329 <- Loblolly[ Loblolly$Seed == "329", ]
print(NLSstAsymptotic(sortedXyData(expression(age),
                                   expression(height),
                                   Lob.329)), digits = 3)
}
\keyword{manip}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/NLSstAsymptotic.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{NLSstAsymptotic}
%
%\alias{NLSstAsymptotic}
%\alias{NLSstAsymptotic.sortedXyData}
%\title{Fit the Asymptotic Regression Model}
%\usage{
%NLSstAsymptotic(xy)
%}
%\arguments{
% \item{xy}{a \code{sortedXyData} object}
%}
%\description{
%  Fits the asymptotic regression model, in the form \code{b0 +
%      b1*(1-exp(-exp(lrc) * x)} to the \code{xy} data.
%  This can be used as a building block in determining starting estimates
%  for more complicated models.
%}
%\value{
%  A numeric value of length 3 with components labelled \code{b0},
%  \code{b1}, and \code{lrc}.  \code{b0} is the estimated intercept on
%  the \code{y}-axis, \code{b1} is the estimated difference between the
%  asymptote and the \code{y}-intercept, and \code{lrc} is the estimated
%  logarithm of the rate constant.
%}
%\author{\enc{José}{Jose} Pinheiro and Douglas Bates}
%\seealso{\code{\link{SSasymp}}}
%\examples{
%Lob.329 <- Loblolly[ Loblolly$Seed == "329", ]
%print(NLSstAsymptotic(sortedXyData(expression(age),
%                                   expression(height),
%                                   Lob.329)), digits = 3)
%}
%\keyword{manip}
%
%\encoding{UTF-8}
%
