% File src/library/stats/man/asOneSidedFormula.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{asOneSidedFormula}

\title{Convert to One-Sided Formula}
\usage{
asOneSidedFormula(object)
}
\alias{asOneSidedFormula}
\arguments{
 \item{object}{片側公式，表現式，数値又は文字列．}
}
\description{
  名前，表現式，数値又は文字列が片側公式に変換される．
  もし \code{object} が公式ならそれは片側でなければならず，
  その場合はそのまま返される．
}
\value{
  \code{object} を表す片側公式．
}
\author{\enc{José}{Jose} Pinheiro と Douglas Bates}

\seealso{\code{\link{formula}}}

\examples{
asOneSidedFormula("age")
asOneSidedFormula(~ age)
}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/asOneSidedFormula.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{asOneSidedFormula}
%
%\title{Convert to One-Sided Formula}
%\usage{
%asOneSidedFormula(object)
%}
%\alias{asOneSidedFormula}
%\arguments{
% \item{object}{a one-sided formula, an expression, a numeric value, or a
%   character string.}
%}
%\description{
%  Names, expressions, numeric values, and character strings are converted to
%  one-sided formulae. If \code{object} is a formula, it must be
%  one-sided, in which case it is returned unaltered.
%}
%\value{
%  a one-sided formula representing \code{object}
%}
%\author{\enc{José}{Jose} Pinheiro and Douglas Bates}
%
%\seealso{\code{\link{formula}}}
%
%\examples{
%asOneSidedFormula("age")
%asOneSidedFormula(~ age)
%}
%\keyword{models}
%
%\encoding{UTF-8}
%