% File src/library/stats/man/deviance.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{deviance}
\alias{deviance}%@%\alias{モデルの逸脱度}
\title{Model Deviance}
\description{
  当てはめモデルオブジェクトの逸脱度を返す．
}
\usage{
deviance(object, \dots)
}
\arguments{
  \item{object}{逸脱度を求めたいオブジェクト．}
  \item{\dots}{追加のオプションパラメータ．}
}
\details{
  これは当てはめモデルから逸脱度を取り出すために使える
  総称的関数である．
  この関数をどのように使うかについての詳細は個別のモデリング関数を
  参照せよ．
}
\value{
  オブジェクト \code{object} から取り出した逸脱度の値．
}
\references{
  Chambers, J. M. and Hastie, T. J. (1992)
  \emph{Statistical Models in S.}
  Wadsworth & Brooks/Cole.
}
\seealso{
  \code{\link{df.residual}},
  \code{\link{extractAIC}},
  \code{\link{glm}},
  \code{\link{lm}}.
}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/deviance.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{deviance}
%\alias{deviance}
%\title{Model Deviance}
%\description{
%  Returns the deviance of a fitted model object.
%}
%\usage{
%deviance(object, \dots)
%}
%\arguments{
%  \item{object}{an object for which the deviance is desired.}
%  \item{\dots}{additional optional argument.}
%}
%\details{
%  This is a generic function which can be used to extract deviances for
%  fitted models.  Consult the individual modeling functions for details
%  on how to use this function.
%}
%\value{
%  The value of the deviance extracted from the object \code{object}.
%}
%\references{
%  Chambers, J. M. and Hastie, T. J. (1992)
%  \emph{Statistical Models in S.}
%  Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{df.residual}},
%  \code{\link{extractAIC}},
%  \code{\link{glm}},
%  \code{\link{lm}}.
%}
%\keyword{models}
%
%\encoding{UTF-8}
%
