% File src/library/stats/man/embed.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{embed}
\title{Embedding a Time Series}
\usage{
embed (x, dimension = 1)
}
\alias{embed}%@%\alias{時系列を低次元空間に埋め込む}
\arguments{
  \item{x}{数値ベクトル，行列，又は時系列．}
  \item{dimension}{埋め込む空間の次元．}
}
\description{
  時系列 \code{x} を低次元ユークリッド空間に埋め込む．
}
\details{
  結果の行列の各行は
  系列 \code{x[t]}, \code{x[t-1]}, \dots, \code{x[t-dimension+1]} から
  なる，ここで
  \code{t} は
  オリジナルの \code{x} の添字である．
  もし \code{x} が行列ならば，
  つまり \code{x} が複数の変数を含んでいれば，
  \code{x[t]} は各変数の
  \code{t} 番目の観測値からなる．
}
\value{
  埋め込まれた時系列 \code{x} を含む行列．
}
\author{A. Trapletti, B.D. Ripley}
\examples{
x <- 1:10
embed (x, 3)
}
\keyword{ts}


\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/embed.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{embed}
%\title{Embedding a Time Series}
%\usage{
%embed (x, dimension = 1)
%}
%\alias{embed}
%\arguments{
%  \item{x}{a numeric vector, matrix, or time series.}
%  \item{dimension}{a scalar representing the embedding dimension.}
%}
%\description{
%  Embeds the time series \code{x} into a low-dimensional
%  Euclidean space.
%}
%\details{
%  Each row of the resulting matrix consists of sequences
%  \code{x[t]}, \code{x[t-1]}, \dots, \code{x[t-dimension+1]}, where
%  \code{t} is the original index of \code{x}. If \code{x} is a matrix,
%  i.e., \code{x} contains more than one variable, then \code{x[t]}
%  consists of the \code{t}th observation on each variable.
%}
%\value{
%  A matrix containing the embedded time series \code{x}.
%}
%\author{A. Trapletti, B.D. Ripley}
%\examples{
%x <- 1:10
%embed (x, 3)
%}
%\keyword{ts}
%
%
%\encoding{UTF-8}
%
