% File src/library/stats/man/nextn.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{nextn}
\title{Highly Composite Numbers}
\usage{
nextn(n, factors = c(2,3,5))
}
\alias{nextn}%@%\alias{高度に合成的な数}
\arguments{
\item{n}{整数．}
\item{factors}{正の整数因子ベクトル．}
}
\description{
  \code{nextn} は
  \code{factors} 中の値の巾乗の積として得られる
  \code{n} 以上の最少の整数を返す．
  \code{nextn} は
  \code{fft} の引数をゼロで埋めるのに適当な長さを見つけ
  変換が高速に計算できるようにすることを意図している．
  \code{factors} に対する既定値はこれを保証する．
}
\seealso{
\code{\link{convolve}}, \code{\link{fft}}.
}
\examples{
nextn(1001) # 1024
table(sapply(599:630, nextn))
}
\keyword{math}


\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/nextn.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{nextn}
%\title{Highly Composite Numbers}
%\usage{
%nextn(n, factors = c(2,3,5))
%}
%\alias{nextn}
%\arguments{
%\item{n}{an integer.}
%\item{factors}{a vector of positive integer factors.}
%}
%\description{
%  \code{nextn} returns the smallest integer,
%  greater than or equal to \code{n}, which can be obtained
%  as a product of powers of the values contained in \code{factors}.
%  \code{nextn} is intended to be used to find a suitable length
%  to zero-pad the argument of \code{fft} to
%  so that the transform is computed quickly.
%  The default value for \code{factors} ensures this.
%}
%\seealso{
%\code{\link{convolve}}, \code{\link{fft}}.
%}
%\examples{
%nextn(1001) # 1024
%table(sapply(599:630, nextn))
%}
%\keyword{math}
%
%
%\encoding{UTF-8}
%
