% File src/library/stats/man/offset.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{offset}
\title{Include an Offset in a Model Formula}
\usage{
offset(object)
}
\alias{offset}%@%\alias{モデル公式にオフセットを含める}
\arguments{
 \item{object}{モデル公式中に含められるオフセット．}
}
\description{
  オフセットとは線形予測子に加えられる項であり，
  一般化線形モデル等で推定係数ではなく既知の係数 1 とする．
}
\value{
  入力値．
}
\details{
  モデル公式中には一つ以上のオフセットがあり得るが，
  \code{-} は \code{offset} 項としてサポートされていない
  (そして \code{+} と同値である)．
}

\seealso{
  \code{\link{model.offset}}, \code{\link{model.frame}}.

  例は \code{\link{glm}} と
  パッケージ \CRANpkg{MASS} 中の \code{\link[MASS]{Insurance}} を見よ．
}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/offset.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{offset}
%\title{Include an Offset in a Model Formula}
%\usage{
%offset(object)
%}
%\alias{offset}
%\arguments{
% \item{object}{An offset to be included in a model frame}
%}
%\description{
%  An offset is a term to be added to a linear predictor, such as in a
%  generalised linear model, with known coefficient 1 rather than an
%  estimated coefficient.
%}
%\value{
%  The input value.
%}
%\details{
%  There can be more than one offset in a model formula, but \code{-} is
%  not supported for \code{offset} terms (and is equivalent to \code{+}).
%}
%
%\seealso{
%  \code{\link{model.offset}}, \code{\link{model.frame}}.
%
%  For examples see \code{\link{glm}} and
%  \code{\link[MASS]{Insurance}} in package \CRANpkg{MASS}.
%}
%\keyword{models}
%
%\encoding{UTF-8}
%
