% File src/library/stats/man/pairwise.prop.test.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{pairwise.prop.test}
\alias{pairwise.prop.test}%@%\alias{比率の対毎の比較}
\title{ Pairwise comparisons for proportions}
\description{
  比率の対の間の多重比較補正付きの比較を計算する．
}
\usage{
pairwise.prop.test(x, n, p.adjust.method = p.adjust.methods, ...)
}
\arguments{
 \item{x}{ 成功数のベクトルか，それぞれ成功と失敗数を
   与える2列の行列．}
 \item{n}{ 試行数のベクトル；もし \code{x} が行列ならば無視される．}
 \item{p.adjust.method}{p 値の補正の手法
   (\code{\link{p.adjust}} を見よ)．短縮化出来る．}
 \item{\dots}{\code{prop.test} に渡される追加引数．}
}
\value{
  クラス \code{"pairwise.htest"} のオブジェクト．
}
\seealso{ \code{\link{prop.test}}, \code{\link{p.adjust}}}
\examples{
smokers  <- c( 83, 90, 129, 70 )
patients <- c( 86, 93, 136, 82 )
pairwise.prop.test(smokers, patients)
}
\keyword{htest}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/pairwise.prop.test.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{pairwise.prop.test}
%\alias{pairwise.prop.test}
%\title{ Pairwise comparisons for proportions}
%\description{
%  Calculate pairwise comparisons between pairs of proportions with
%  correction for multiple testing
%}
%\usage{
%pairwise.prop.test(x, n, p.adjust.method = p.adjust.methods, ...)
%}
%\arguments{
% \item{x}{ Vector of counts of successes or a matrix with 2 columns
%   giving the counts of successes and failures, respectively. }
% \item{n}{ Vector of counts of trials; ignored if \code{x} is a matrix.}
% \item{p.adjust.method}{Method for adjusting p values
%   (see \code{\link{p.adjust}}).  Can be abbreviated. }
% \item{\dots}{ Additional arguments to pass to \code{prop.test} }
%}
%\value{
%  Object of class \code{"pairwise.htest"}
%}
%\seealso{ \code{\link{prop.test}}, \code{\link{p.adjust}}}
%\examples{
%smokers  <- c( 83, 90, 129, 70 )
%patients <- c( 86, 93, 136, 82 )
%pairwise.prop.test(smokers, patients)
%}
%\keyword{htest}
%
%\encoding{UTF-8}
%
